'use strict';

const RSVP = require('rsvp');

module.exports = {
  description: 'Blueprint for @choiceform/ui-foundation',

  normalizeEntityName(entityName) {
    return entityName;
  },

  afterInstall: function(options) {
    let isAddon = options.project.isEmberCLIAddon();

    this.ui.writeInfoLine(`Installing dependencies for ${isAddon ? 'addon' : 'application'} ...`);
    this.ui.writeInfoLine(`正在为 ${isAddon ? 'addon' : 'application'} 安装依赖...`);

    return RSVP.all([
      this.addAddonToProject({ name: 'ember-decorators' }),
      this.addAddonToProject({ name: '@ember-decorators/argument' }),
      this.addAddonToProject({ name: 'ember-css-modules', blueprintOptions: { save: isAddon } }),
      this.addAddonToProject({ name: 'ember-cli-autoprefixer', blueprintOptions: { save: isAddon } })
    ]).then(() => {
      this.ui.writeLine(`For ${isAddon ? 'Addon' : 'Application'} usage, please run:`);
      this.ui.writeLine(`用于 ${isAddon ? 'Addon' : 'Application'}，请运行：`);
      this.ui.writeInfoLine(`ember generate foundation-for-${isAddon ? 'addon' : 'app'}`);
    });
  },
};
